MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029056Open CASCADE[OCCT] OCCT:Configurationpublic2017-08-27 11:052017-09-29 16:30
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029056: Configuration - It is not possible to install VTK products
DescriptionIt is necessary to add possibility to install VTK products both from command line and CMake gui
Steps To ReproduceConfigure OCCT using CMake with next turned ON options:
1) USE_VTK
2) INSTALL_VTK

Build and install VTK, check:
1) pload VIS is working from draw.bat
2) vtk DLLs were installed to the INSTALL_DIR_BIN directory
3) custom_vc*_*.bat contains empty vtk dir if INSTALL is turned ON
4) custom_vc*_*.bat contains path to vtk bin dir if INSTALL is turned OFF
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069990)
git (administrator)
2017-08-28 16:16

Branch CR29056 has been created by ski.

SHA-1: 3b79c7485d57a3c4812308f624f5f5eb9bbda13e


Detailed log of new commits:

Author: ski
Date: Mon Aug 28 16:16:37 2017 +0300

    0029056: Configuration - It is not possible to install VTK products
    
    Added installation of vtk.
(0070058)
git (administrator)
2017-08-29 15:17

Branch CR29056 has been updated forcibly by ski.

SHA-1: 8c7abbc9d7f30ef4734725cd0b99808e108c56e0
(0070063)
git (administrator)
2017-08-29 15:41

Branch CR29056 has been updated forcibly by ski.

SHA-1: 340e15042615b76be1813c5be6b27b4f5ef8546b
(0070069)
git (administrator)
2017-08-29 16:14

Branch CR29056 has been updated forcibly by ski.

SHA-1: 7649984d4a3f1d07766805f18f53cb93217bb123
(0070070)
ski (developer)
2017-08-29 16:30

Dear ibs,

Please review OCCT branch CR29056.
(0070077)
ibs (developer)
2017-08-29 16:59

there are no remarks
(0070209)
git (administrator)
2017-09-04 18:20

Branch CR29056 has been deleted by kgv.

SHA-1: 7649984d4a3f1d07766805f18f53cb93217bb123

- Related Changesets
occt: master c22e576d
Timestamp: 2017-08-28 13:16:37
Author: ski
Committer: bugmaster
Details ] Diff ]
0029056: Configuration - It is not possible to install VTK products

Added installation of vtk.
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit_tool.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/cmake/vtk.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-27 11:05 bugmaster New Issue
2017-08-27 11:05 bugmaster Assigned To => bugmaster
2017-08-27 11:05 bugmaster Assigned To bugmaster => apn
2017-08-27 11:05 bugmaster Status new => feedback
2017-08-27 11:06 bugmaster Target Version 7.3.0* => 7.2.0
2017-08-27 11:08 bugmaster Summary It is not possible to install VTK products => Configuration - It is not possible to install VTK products
2017-08-28 16:16 git Note Added: 0069990
2017-08-29 15:17 git Note Added: 0070058
2017-08-29 15:31 ski Assigned To apn => ski
2017-08-29 15:31 ski Status feedback => assigned
2017-08-29 15:41 git Note Added: 0070063
2017-08-29 16:14 git Note Added: 0070069
2017-08-29 16:30 ski Note Added: 0070070
2017-08-29 16:30 ski Assigned To ski => ibs
2017-08-29 16:30 ski Status assigned => resolved
2017-08-29 16:30 ski Steps to Reproduce Updated View Revisions
2017-08-29 16:59 ibs Note Added: 0070077
2017-08-29 16:59 ibs Assigned To ibs => bugmaster
2017-08-29 16:59 ibs Status resolved => reviewed
2017-08-29 17:13 bugmaster Status reviewed => tested
2017-08-29 18:05 bugmaster Test case number => Not required
2017-08-31 18:37 bugmaster Changeset attached => occt master c22e576d
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070209
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:30 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker